build:android fails if assets have changed

   System:
     OS: macOS 10.15.3
     Shell: 5.7.1 - /bin/zsh
   Binaries:
     Node: 12.16.1 - /usr/local/opt/node@12/bin/node
     npm: 6.13.4 - /usr/local/opt/node@12/bin/npm
   IDEs:
     Xcode: 11.3.1/11C504 - /usr/bin/xcodebuild
   npmPackages:
     expo: ^36.0.2 => 36.0.2
     react: ^16.12.0 => 16.12.0
     react-native: ^0.61.5 => 0.61.5
   npmGlobalPackages:
     expo-cli: 3.13.2

Hi all,

If I run a build with the out-of-the box assets, I get:

Building iOS bundle
Building Android bundle
Analyzing assets
Uploading assets
No assets changed, skipped.
Processing asset bundle patterns:
- /Users/joaquim/Projects/community/**/*

However if I change one of these assets:

Building iOS bundle
Building Android bundle
Analyzing assets
Uploading assets
Uploading /assets/icon.png
Request failed with status code 404

The same issue happens with expo publish

How can I solve this issue?

4 Likes

I have the same exactly issue… if I change any of assets I get a status 404. :frowning:

i got the same problem.

This probably won’t solve anyone else’s problem but I got it to work by using a Windows machine rather than my Macbook

Reading the log … seems is something with axios in mac os

I had the same problem. It was the path to my icon in app.json. Expo couldn’t find it and just threw the 404 error.

That is not the issue, the issue is if you change any of the assets (icon, splash…) You will get the 404… But is not about change the name, is just change the content of the .png

I already texted in all my expo projects and I get that issue. Also you can try creating a new expo blank project and then change icon.png or splash.png

Hope the expo team can fix it soon

刚刚发现解决问题的办法了,可能是最新的expo cli问题,降到3.13.1就好了。

I’m having the same problem. I tried on my Mac and my Windows PC and I’m still getting a 404 error when I try to publish with changed assets.

EDIT: Downgrading to 3.13.1 solved the problem for me.

1 Like

solve the problem by downgrade to to version 3.13.1

npm i -g expo-cli@3.13.1

Hi

Here’s the corresponding issue on GitHub:

It’s being worked on. In the mean time, you should downgrade expo-cli as per @iboy15’s comment.

Thanks for fielding this @wodin. Fix has been pushed!

1 Like

This topic was automatically closed 20 days after the last reply. New replies are no longer allowed.